Description: Fix load with latest version of python-imaging and python-pil
Author: Magnus Berg <norespons@burgsvik.se>
Bug-Debian: https://bugs.debian.org/811184
Bug-Ubuntu: https://bugs.launchpad.net/bugs/1567827

Forwarded: not-needed
Last-Update: 2016-08-10

--- a/phatch/lib/pyWx/wxPil.py
+++ b/phatch/lib/pyWx/wxPil.py
@@ -24,14 +24,14 @@ def pil_wxImage(image):
         image = image.convert('RGBA')
     if image.mode == 'RGBA':
         wx_image = wx.EmptyImage(*image.size)
-        wx_image.SetData(image.convert("RGB").tostring())
+        wx_image.SetData(image.convert("RGB").tobytes())
         wx_image.InitAlpha()
         wx_image.SetAlphaData(
-            image.convert("RGBA").split()[-1].tostring())
+            image.convert("RGBA").split()[-1].tobytes())
     else:
         wx_image = wx.EmptyImage(*image.size)
         new_image = image.convert('RGB')
-        data = new_image.tostring()
+        data = new_image.tobytes()
         wx_image.SetData(data)
     return wx_image
 
@@ -43,11 +43,11 @@ def pil_wxBitmap(image):
 def wxImage_pil(wx_image):
     size = wx_image.GetSize()
     image = Image.new('RGB', size)
-    image.fromstring(wx_image.GetData())
+    image.frombytes(wx_image.GetData())
     if wx_image.HasAlpha():
         alpha = Image.new('L', size)
         wx_alpha = wx_image.GetAlphaData()
-        alpha.fromstring(wx_alpha)
+        alpha.frombytes(wx_alpha)
         image = image.convert('RGBA')
         image.putalpha(alpha)
     return image
